<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Notes</title>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
        <style>
            @import url('https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap');

            body{
                background: #4b6cb7;  /* fallback for old browsers */
                background: -webkit-linear-gradient(to right, #182848, #4b6cb7);  /* Chrome 10-25, Safari 5.1-6 */
                background: linear-gradient(to right, #182848, #4b6cb7); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
            }

            .table{
                background: #ECE9E6;  /* fallback for old browsers */
                background: -webkit-linear-gradient(to right, #FFFFFF, #ECE9E6);  /* Chrome 10-25, Safari 5.1-6 */
                background: linear-gradient(to right, #FFFFFF, #ECE9E6); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
                box-shadow: 0 4px 4px 0 rgb(255, 255, 255); /*horizontal, vertikal, keburaman, spread bayangan (r,g,b, opacity)*/
            }

        </style>
    </head>
    <body>
        <header>
            <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                <a class="navbar-brand" href="#">NOTES</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                  <ul class="navbar-nav">
                    <li class="nav-item active">
                      <a class="nav-link" href="#">Home</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" href="add-note">Forms</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="note-list">Note List</a>
                    </li>
                  </ul>
                </div>
              </nav>
        </header>
        <main>
            <div class="container">
                <table class="table table-striped table-hover">
                    <tr>
                        <th scope="col">To</th>
                        <th scope="col">From</th>
                        <th scope="col">Title</th>
                        <th scope="col">Message</th>
                    </tr>
                    <!-- TODO loop from Friend model -->
                    {%for note in notes%}
                    <tr>
                        <td>{{ note.to }}</td>
                        <td>{{ note.fromm }}</td>
                        <td>{{ note.title }}</td>
                        <td>{{ note.message }}</td>
                        <br/>
                    </tr>
                    {% endfor %}
                </table>
            </div>
        </main>
    </body>
</html>